# -*- coding: utf8 -*-
#!/usr/bin/python
VERSION = '2.3.2'

import gtk
gtk.gdk.threads_init()

import gtk.glade
import gobject
import pango
import pygtk
try:
    import pynotify
except:
    pynotify = False

import threading
pygtk.require('2.0')

import time
import os
import sys
import getopt
import re

import trayicon

import ConfigParser

from htmlentitydefs import name2codepoint

class Ventana:
    def __init__(self):
        SHOW = 'home'
        self.thread_started = False
        self.show = SHOW
        self.first = True
        self.hovering_over_link = False

        self.window = gtk.Window(type=gtk.WINDOW_POPUP)
        self.window.set_geometry_hints(min_width=200, min_height=200)
        buttons = ['password1', 'password2', 'mi password', 'otro']
        self.vbox = gtk.VBox()
        for b in buttons:
            button = gtk.Button(b)
            button.set_relief(gtk.RELIEF_NONE)
            self.vbox.pack_start(button, expand=False)
        self.vbox.show_all()
        self.window.add(self.vbox)

if __name__ == '__main__':
    options, args = getopt.getopt(sys.argv[1:], 'c:')
    for opt in options:
        op, value = opt
        if op == '-c':
            config_file = value

    v = Ventana()
    ti = trayicon.TrayIcon(v)
    v.trayicon = ti
    gtk.main()
